Subject: Re: [RFC PATCH 0/5] net: low latency Ethernet device polling

From: Eliezer Tamir <[email-masked]>
Date: Thu, 28 Feb 2013 10:38:37 +0200

On 27/02/2013 23:42, Ben Greear wrote:
> On 02/27/2013 12:40 PM, Eliezer Tamir wrote:
>> On 27/02/2013 21:58, Rick Jones wrote:
>>> On 02/27/2013 09:55 AM, Eliezer Tamir wrote:
>>>> *rx-usecs=0 is usually not useful in a production environment.
>>>
>>> I would think that latency-sensitive folks would be using rx-usecs=0 in
>>> production - at least if the NIC in use didn't have low enough latency
>>> with its default interrupt coalescing/avoidance heuristics.
>>
>> It will only work well if you have no bulk traffic on the same port as
>> the low latency traffic at all.
>
> Have you done any tests for bulk throughput with busy-poll?  Yes, it
> will eat a core,
> but that might be worth it in some cases if there was significant
> throughput increase...

My impression was that most bulk use cases are handled exceptionally 
well by napi along with some kind of adaptive moderation scheme, esp. if 
you compare to cases where napi is not being used.

If you can recommend a specific use case where busy polling will be an 
advantage for bulk traffic, I will happily try it out.

Thanks,
Eliezer